> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Reserve Account



## OpenAPI

````yaml api-reference/openapi-account.json PATCH /reserve/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /reserve/{id}:
    patch:
      tags:
        - Reserve Account
      summary: Update a Reserve Account
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Success
                value:
                  amount: '0.00'
            schema:
              properties:
                account_id:
                  description: >-
                    ID of the target Account that has an added reserve limit.
                    Filterable.
                  type: string
                amount:
                  description: Amount that `account_id` is currently overdrawn
                  pattern: ^-?[0-9]+[.][0-9][0-9]$
                  type: string
                bankdata:
                  description: Optional data for the bank
                  type: object
                reserve_account_id:
                  description: ID of the Account that holds the reserve. Filterable.
                  type: string
                upper_limit:
                  description: Max amount that `account_id` may be overdrawn in total
                  pattern: ^-?[0-9]+[.][0-9][0-9]$
                  type: string
                userdata:
                  description: Arbitrary user data that can be attached to the object
                  type: object
        description: The reserve to update
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_1234567890
                    amount: '0.00'
                    id: reserve_1029384756
                    reserve_account_id: acct_0987654321
                    upper_limit: '100.00'
                    userdata: null
              schema:
                properties:
                  account_id:
                    description: >-
                      ID of the target Account that has an added reserve limit.
                      Filterable.
                    type: string
                  amount:
                    description: Amount that `account_id` is currently overdrawn
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  bankdata:
                    description: Optional data for the bank
                    type: object
                  id:
                    description: Unique identifier for object
                    type: string
                  reserve_account_id:
                    description: ID of the Account that holds the reserve. Filterable.
                    type: string
                  upper_limit:
                    description: Max amount that `account_id` may be overdrawn in total
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  userdata:
                    description: Arbitrary user data that can be attached to the object
                    type: object
          description: The reserve updated
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````